Skip to main content

Update Invoice: Entrata - Not Supported

PUThttps://api.propexo.com/v1/invoices/entrata/:invoice_id

Entrata does not support updating an invoice via their API. This endpoint will always return a 405, with an error message specifying that updating an invoice in an Entrata integration is not supported due to the lack of upstream support. Entrata allows updating payments and allocations on an invoice, but not the invoice details or the invoice items themselves.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

invoice_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    object

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/invoices/entrata/:invoice_id
curl -X PUT https://api.propexo.com/v1/invoices/entrata/:invoice_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{}